git.99rst.org
/
openwrt-packages.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
| inline |
side by side
(parent:
c7ca6d4
)
libxslt: add test-version.sh
author
Seo Suchan
<redacted>
Thu, 28 May 2026 15:10:15 +0000
(
00:10
+0900)
committer
Christian Marangi
<redacted>
Sun, 7 Jun 2026 18:21:09 +0000
(20:21 +0200)
xsltproc doesn't say it's own version but only dependcies it compiled on
Signed-off-by: Seo Suchan <redacted>
libs/libxslt/test-version.sh
[new file with mode: 0644]
patch
|
blob
diff --git a/libs/libxslt/test-version.sh
b/libs/libxslt/test-version.sh
new file mode 100644
(file)
index 0000000..
a33d667
--- /dev/null
+++ b/
libs/libxslt/test-version.sh
@@ -0,0
+1,15
@@
+#!/bin/sh
+
+# shellcheck shell=busybox
+
+#xsltproc doesn't say it's own version but only depends
+case "$PKG_NAME" in
+xsltproc|libxslt|libexslt)
+ exit 0
+ ;;
+
+*)
+ echo "Untested package: $PKG_NAME" >&2
+ exit 1
+ ;;
+esac
git clone https://git.99rst.org/PROJECT